View Issue Details

IDProjectCategoryView StatusLast Update
16348Bug reportsSurvey editingpublic2020-12-23 14:52
Reporterbethencourty Assigned Tocdorin  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version4.2.5 
Fixed in Version4.4.0-RC1 
Summary16348: QuestionEditor doesn't load
DescriptionHi
 I have
 Windows server 2016
 SQL server 2012
 IIS
 PHP 7.2.31
 limesurvey Version 4.2.5+200526

 Everything seems to be working fine except for the question editor

 Which give several error on the console on does not load.
Steps To ReproduceInstall PHP on IIS
Install limesurvey
Create a survey
You are not able to edit question or add question
Additional InformationIf I install the same version on Xamp it works (same limesurvey version, same php version, connected to the same database)
The edit question seems to be the only part not working
TagsNo tags attached.
Complete LimeSurvey version number (& build) limesurvey Version 4.2.5+200526
I will donate to the project if issue is resolvedNo
BrowserFirefox, Edge, Chrome
Database & DB-VersionSQLServer 2012
Server OS (if known)Windows server 2016
Webserver software & version (if known)IIS
PHP Version PHP 7.2.31

Activities

bethencourty

bethencourty

2020-05-30 01:12

reporter  

2020-05-29 15_23_55-.png (100,359 bytes)
jakeoh

jakeoh

2020-07-26 22:23

reporter   ~59089

Had the same problem - this seems to be related to the selected admin language; mine was set to French, and the question editor would not load. I changed it to English and it works.

Toggling it back to French and the problem reappears.
DenisChenu

DenisChenu

2020-07-27 16:24

developer   ~59101

@jakeoh : French on windows ?
With all surey ?
Can you write your user configuration about editor etc …

I checkj in french on 4.3.5 (git) / php 7.4 and seems to work
bethencourty

bethencourty

2020-07-27 17:09

reporter   ~59102

Hi
Here is the detail about my configuration:
   Windows in French Canadian
   Php 7.2.31
   limesurvey 4.2.5 (same problem with 4.3.5)
As suggested, I have added English to the available languages. If I connect in English, I am able to edit the question. In Franch I can not (the page is not loading).
I am attaching some files to illustrate my configuration.
Thanks.
bethencourty

bethencourty

2020-07-27 17:24

reporter   ~59103

I do not know if that can help, but in the view file (index.php/questionEditor/view?surveyid=485547&gid=1&qid=10)

In french I have:
</div><script>
    window.QuestionEditData = {"surveyid":485547,"surveyObject":{"htmlemail":"I","format":"A","tokenencryptionoptions":"{ \"enabled\":\"Y\",\"columns\":{ \"firstname\":\"N\",\"lastname\":\"N\",\"email\":\"N\" } }","template":"inherit","language":"fr","owner_id":"1","admin":"inherit","adminemail":"inherit","sid":"485547","gsid":"1","active":"N","expires":null,"startdate":null,"anonymized":"N","faxto":"","savetimings":"N","additional_languages":"","datestamp":"Y","usecookie":"I","allowregister":"I","allowsave":"I","autonumber_start":"0","autoredirect":"I","allowprev":"I","printanswers":"I","ipaddr":"Y","ipanonymize":"N","refurl":"N","datecreated":"2020-05-28 14:49:08.000","publicstatistics":"I","publicgraphs":"I","listpublic":"I","sendconfirmation":"I","tokenanswerspersistence":"I","assessments":"I","usecaptcha":"E","usetokens":"N","bounce_email":"inherit","attributedescriptions":null,"emailresponseto":"inherit","emailnotificationto":"inherit","tokenlength":"-1","showxquestions":"I","showgroupinfo":"I","shownoanswer":"I","showqnumcode":"I","bouncetime":null,"bounceprocessing":"N","bounceaccounttype":null,"bounceaccounthost":null,"bounceaccountpass":null,"bounceaccountencryption":null,"bounceaccountuser":null,"showwelcome":"I","showprogress":"I","questionindex":"0","navigationdelay":"-1","nokeyboard":"I","alloweditaftercompletion":"I","googleanalyticsstyle":null,"googleanalyticsapikey":null,"showsurveypolicynotice":"0"},"gid":"1","qid":"10","startType":"X","baseSQACode":{"answeroptions":"AO","subquestions":"SQ"},"startInEditView":false,"questionSelectorType":"default","i10N":{"Create question":"Cr\u00e9er une question","General settings":"Param\u00e8tres g\u00e9n\u00e9raux","Code":"Code","Text elements":"\u00c9l\u00e9ments de texte","Question type":"Type de question","Question":"Question","Help":"Aide","subquestions":"Sous-questions","answeroptions":"Options de r\u00e9ponse","Quick add":"Ajout rapide","Copy subquestions":"Copier les sous-questions","Copy answer options":"Recopier les options de r\u00e9ponse","Copy default answers":"Copier les r\u00e9ponses par d\u00e9faut","Copy advanced options":"Copier les options avanc\u00e9es","Predefined label sets":"Jeux d\u2019\u00e9tiquettes pr\u00e9d\u00e9finis","Save as label set":"Enregistrer comme jeu d'\u00e9tiquettes","More languages":"Plus de langues","Add subquestion":"Ajouter sous-question","Reset":"R\u00e9initialiser","Save":"Sauvegarder","Some example subquestion":"un exemple de sous-question","Delete":"Supprimer","Open editor":"Ouvrir \u00e9diteur","Duplicate":"Dupliquer","No preview available":"Aucun aper\u00e7u disponible","Editor":"\u00c9diteur","Quick edit":"\u00c9dition rapide","Cancel":"Annuler","Replace":"Remplacer","Add":"Ajouter","Select delimiter":"S\u00e9lectionner le d\u00e9limiteur","Semicolon":"Point-virgule","Comma":"Virgule","Tab":"Tabulation","New rows":"Nouvelles lignes","Scale":"\u00c9chelle","Save and Close":"Enregistrer et fermer","Script":"Sc\u00e9nario","X-Scale (columns)":"\u00c9chelle X (colonnes)","Y-Scale (lines)":"\u00c9chelle Y (lignes)","__SCRIPTHELP":"This optional script field will be wrapped, so that the script is correctly executed after the question is on the screen. If you do not have the correct permissions, this will be ignored","noCodeWarning":"Merci d'indiquer un code valide. Seuls les lettres et les chiffres sont autoris\u00e9s et il doit d\u00e9buter par une lettre. Par exemple [Question1]","alreadyTaken":"Ce code est d\u00e9j\u00e0 existant. Les codes en double ne sont pas permis.","codeTooLong":"Un code de la question ne peut pas d\u00e9passer 20 caract\u00e8res.","Question cannot be stored. Please check the subquestion codes for duplicates or empty codes.":"La question ne peut \u00eatre enregistr\u00e9e. Merci de v\u00e9rifier que les codes des sous-questions n'ont pas de doublons ou de codes vides","Question cannot be stored. Please check the answer options for duplicates or empty codes.":"La question ne peut \u00eatre enregistr\u00e9e. Merci de v\u00e9rifier que les options de r\u00e9ponse n'ont pas de doublons ou de codes vides"}};
    window.aStructureArray = ;
    window.aQuestionTypes = {"1":{"code":"1","description":"Array dual scale","group":"Tableaux","subquestions":1,"assessable":1,"hasdefaultvalues":0,"answerscales":2,"class":"array-flexible-duel-scale"},"5":{"code":"5","description":"5 Point choice","group":"Questions \u00e0 choix unique","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"choice-5-pt-radio"},"A":{"code":"A","description":"Array (5 Point choice)","group":"Tableaux","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-5-pt"},"B":{"code":"B","description":"Array (10 Point choice)","group":"Tableaux","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-10-pt"},"C":{"code":"C","description":"Array (Yes\/No\/Uncertain)","group":"Tableaux","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-yes-uncertain-no"},"D":{"code":"D","description":"Date\/Time","group":"Questions pr\u00e9d\u00e9finies","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"date"},"E":{"code":"E","description":"Array (Increase\/Same\/Decrease)","group":"Tableaux","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-increase-same-decrease"},"F":{"code":"F","description":"Array","group":"Tableaux","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":1,"class":"array-flexible-row"},"G":{"code":"G","description":"Gender","group":"Questions pr\u00e9d\u00e9finies","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"gender"},"H":{"code":"H","description":"Array by column","group":"Tableaux","hasdefaultvalues":0,"subquestions":1,"assessable":1,"answerscales":1,"class":"array-flexible-column"},"I":{"code":"I","description":"Language switch","group":"Questions pr\u00e9d\u00e9finies","hasdefaultvalues":0,"subquestions":0,"assessable":0,"answerscales":0,"class":"language"},"K":{"code":"K","description":"Multiple numerical input","group":"Questions pr\u00e9d\u00e9finies","hasdefaultvalues":1,"subquestions":1,"assessable":1,"answerscales":0,"class":"numeric-multi"},"L":{"code":"L","description":"List (Radio)","group":"Questions \u00e0 choix unique","subquestions":0,"hasdefaultvalues":1,"assessable":1,"answerscales":1,"class":"list-radio"},"M":{"code":"M","description":"Multiple choice","group":"Questions \u00e0 choix multiples","subquestions":1,"hasdefaultvalues":1,"assessable":1,"answerscales":0,"class":"multiple-opt"},"N":{"code":"N","description":"Numerical input","group":"Questions pr\u00e9d\u00e9finies","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"numeric"},"O":{"code":"O","description":"List with comment","group":"Questions \u00e0 choix unique","subquestions":0,"hasdefaultvalues":1,"assessable":1,"answerscales":1,"class":"list-with-comment"},"P":{"code":"P","description":"Multiple choice with comments","group":"Questions \u00e0 choix multiples","subquestions":1,"hasdefaultvalues":1,"assessable":1,"answerscales":0,"class":"multiple-opt-comments"},"Q":{"code":"Q","description":"Multiple short text","group":"Questions de type texte","subquestions":1,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"multiple-short-txt"},"R":{"code":"R","description":"Ranking","group":"Questions pr\u00e9d\u00e9finies","subquestions":0,"hasdefaultvalues":0,"assessable":1,"answerscales":1,"class":"ranking"},"S":{"code":"S","description":"Short free text","group":"Questions de type texte","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"text-short"},"T":{"code":"T","description":"Long free text","group":"Questions de type texte","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"text-long"},"U":{"code":"U","description":"Huge free text","group":"Questions de type texte","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"text-huge"},"X":{"code":"X","description":"Text display","group":"Questions pr\u00e9d\u00e9finies","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"boilerplate"},"Y":{"code":"Y","description":"Yes\/No","group":"Questions pr\u00e9d\u00e9finies","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"yes-no"},"!":{"code":"!","description":"List (Dropdown)","group":"Questions \u00e0 choix unique","subquestions":0,"hasdefaultvalues":1,"assessable":1,"answerscales":1,"class":"list-dropdown"},":":{"code":":","description":"Array (Numbers)","group":"Tableaux","subquestions":2,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-multi-flexi"},";":{"code":";","description":"Array (Texts)","group":"Tableaux","subquestions":2,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"array-multi-flexi-text"},"|":{"code":"|","description":"File upload","group":"Questions pr\u00e9d\u00e9finies","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"upload-files"},"*":{"code":"*","description":"Equation","group":"Questions pr\u00e9d\u00e9finies","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"equation"}};
</script>

In English I have
</div><script>
    window.QuestionEditData = {"surveyid":485547,"surveyObject":{"htmlemail":"I","format":"A","tokenencryptionoptions":"{ \"enabled\":\"Y\",\"columns\":{ \"firstname\":\"N\",\"lastname\":\"N\",\"email\":\"N\" } }","template":"inherit","language":"fr","owner_id":"1","admin":"inherit","adminemail":"inherit","sid":"485547","gsid":"1","active":"N","expires":null,"startdate":null,"anonymized":"N","faxto":"","savetimings":"N","additional_languages":"","datestamp":"Y","usecookie":"I","allowregister":"I","allowsave":"I","autonumber_start":"0","autoredirect":"I","allowprev":"I","printanswers":"I","ipaddr":"Y","ipanonymize":"N","refurl":"N","datecreated":"2020-05-28 14:49:08.000","publicstatistics":"I","publicgraphs":"I","listpublic":"I","sendconfirmation":"I","tokenanswerspersistence":"I","assessments":"I","usecaptcha":"E","usetokens":"N","bounce_email":"inherit","attributedescriptions":null,"emailresponseto":"inherit","emailnotificationto":"inherit","tokenlength":"-1","showxquestions":"I","showgroupinfo":"I","shownoanswer":"I","showqnumcode":"I","bouncetime":null,"bounceprocessing":"N","bounceaccounttype":null,"bounceaccounthost":null,"bounceaccountpass":null,"bounceaccountencryption":null,"bounceaccountuser":null,"showwelcome":"I","showprogress":"I","questionindex":"0","navigationdelay":"-1","nokeyboard":"I","alloweditaftercompletion":"I","googleanalyticsstyle":null,"googleanalyticsapikey":null,"showsurveypolicynotice":"0"},"gid":"1","qid":"10","startType":"X","baseSQACode":{"answeroptions":"AO","subquestions":"SQ"},"startInEditView":false,"questionSelectorType":"default","i10N":{"Create question":"Create question","General settings":"General settings","Code":"Code","Text elements":"Text elements","Question type":"Question type","Question":"Question","Help":"Help","subquestions":"Subquestions","answeroptions":"Answer options","Quick add":"Quick add","Copy subquestions":"Copy subquestions","Copy answer options":"Copy answer options","Copy default answers":"Copy default answers","Copy advanced options":"Copy advanced options","Predefined label sets":"Predefined label sets","Save as label set":"Save as label set","More languages":"More languages","Add subquestion":"Add subquestion","Reset":"Reset","Save":"Save","Some example subquestion":"Some example subquestion","Delete":"Delete","Open editor":"Open editor","Duplicate":"Duplicate","No preview available":"No preview available","Editor":"Editor","Quick edit":"Quick edit","Cancel":"Cancel","Replace":"Replace","Add":"Add","Select delimiter":"Select delimiter","Semicolon":"Semicolon","Comma":"Comma","Tab":"Tab","New rows":"New rows","Scale":"Scale","Save and Close":"Save and close","Script":"Script","X-Scale (columns)":"X-Scale (columns)","Y-Scale (lines)":"Y-Scale (lines)","__SCRIPTHELP":"This optional script field will be wrapped, so that the script is correctly executed after the question is on the screen. If you do not have the correct permissions, this will be ignored","noCodeWarning":"Please put in a valid code. Only letters and numbers are allowed and it has to start with a letter. For example [Question1]","alreadyTaken":"This code is already used - duplicate codes are not allowed.","codeTooLong":"A question code cannot be longer than 20 characters.","Question cannot be stored. Please check the subquestion codes for duplicates or empty codes.":"Question cannot be stored. Please check the subquestion codes for duplicates or empty codes.","Question cannot be stored. Please check the answer options for duplicates or empty codes.":"Question cannot be stored. Please check the answer options for duplicates or empty codes."}};
    window.aStructureArray = {"single_choice_questions":{"questionGroupName":"Single choice questions","questionTypes":[{"id":"1","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/5pointchoice","image_path":"\/sondage\/assets\/images\/screenshots\/5.png","title":"5 Point Choice","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"5 point choice question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"5","core_theme":"1","extends":"","group":"Single choice questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"0","assessable":"0","class":"choice-5-pt-radio"},"type":"5","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/5.png\" \/>\n <\/div>"},{"id":"30","name":"bootstrap_buttons","visible":"Y","xml_path":"themes\/question\/bootstrap_buttons\/survey\/questions\/answer\/listradio","image_path":"\/sondage\/themes\/question\/bootstrap_buttons\/survey\/questions\/answer\/listradio\/assets\/bootstrap_buttons_listradio.png","title":"Bootstrap buttons","creation_date":"1970-01-01 01:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"New implementation of the Bootstrap buttons question theme","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"L","core_theme":"1","extends":"L","group":"Single choice questions","settings":{"subquestions":"0","answerscales":"1","hasdefaultvalues":"1","assessable":"1","class":"list-radio"},"type":"L","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/themes\/question\/bootstrap_buttons\/survey\/questions\/answer\/listradio\/assets\/bootstrap_buttons_listradio.png\" \/>\n <\/div>"},{"id":"33","name":"image_select-listradio","visible":"Y","xml_path":"themes\/question\/image_select\/survey\/questions\/answer\/listradio","image_path":"\/sondage\/assets\/images\/screenshots\/L.png","title":"Image Select List (radio)","creation_date":"1970-01-01 01:00:00.000","author":"Markus Fl\u00fcr","author_email":"mfluer@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2016 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"List Radio with images.","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"L","core_theme":"1","extends":"L","group":"Single choice questions","settings":{"subquestions":"0","answerscales":"1","hasdefaultvalues":"1","assessable":"1","class":"list-radio"},"type":"L","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/L.png\" \/>\n <\/div>"},{"id":"19","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/list_dropdown","image_path":"\/sondage\/assets\/images\/screenshots\/!.png","title":"List (dropdown)","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"List (dropdown) question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"!","core_theme":"1","extends":"","group":"Single choice questions","settings":{"subquestions":"0","answerscales":"1","hasdefaultvalues":"1","assessable":"1","class":"list-dropdown"},"type":"!","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/!.png\" \/>\n <\/div>"},{"id":"18","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/listradio","image_path":"\/sondage\/assets\/images\/screenshots\/L.png","title":"List (radio)","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"List (radio) question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"L","core_theme":"1","extends":"","group":"Single choice questions","settings":{"subquestions":"0","answerscales":"1","hasdefaultvalues":"1","assessable":"1","class":"list-radio"},"type":"L","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/L.png\" \/>\n <\/div>"},{"id":"20","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/list_with_comment","image_path":"\/sondage\/assets\/images\/screenshots\/O.png","title":"List with comment","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"List with comment question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"O","core_theme":"1","extends":"","group":"Single choice questions","settings":{"subquestions":"0","answerscales":"1","hasdefaultvalues":"1","assessable":"1","class":"list-with-comment"},"type":"O","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/O.png\" \/>\n <\/div>"}]},"arrays":{"questionGroupName":"Arrays","questionTypes":[{"id":"4","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/arrays\/array","image_path":"\/sondage\/assets\/images\/screenshots\/F.png","title":"Array","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Array question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"F","core_theme":"1","extends":"","group":"Arrays","settings":{"subquestions":"1","answerscales":"1","hasdefaultvalues":"0","assessable":"1","class":"array-flexible-row"},"type":"F","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/F.png\" \/>\n <\/div>"},{"id":"3","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/arrays\/5point","image_path":"\/sondage\/assets\/images\/screenshots\/A.png","title":"Array (5 Point Choice)","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Array (5 point choice) question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"A","core_theme":"1","extends":"","group":"Arrays","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"0","assessable":"1","class":"array-5-pt"},"type":"A","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/A.png\" \/>\n <\/div>"},{"id":"2","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/arrays\/10point","image_path":"\/sondage\/assets\/images\/screenshots\/B.png","title":"Array (10 Point Choice)","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Array (10 point choice) question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"B","core_theme":"1","extends":"","group":"Arrays","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"0","assessable":"1","class":"array-10-pt"},"type":"B","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/B.png\" \/>\n <\/div>"},{"id":"7","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/arrays\/increasesamedecrease","image_path":"\/sondage\/assets\/images\/screenshots\/E.png","title":"Array (Increase\/Same\/Decrease)","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Array (Increase\/Same\/Decrease) question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"E","core_theme":"1","extends":"","group":"Arrays","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"0","assessable":"1","class":"array-increase-same-decrease"},"type":"E","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/E.png\" \/>\n <\/div>"},{"id":"8","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/arrays\/multiflexi","image_path":"\/sondage\/assets\/images\/screenshots\/COLON.png","title":"Array (Numbers)","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Array (Numbers) question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":":","core_theme":"1","extends":"","group":"Arrays","settings":{"subquestions":"2","answerscales":"0","hasdefaultvalues":"0","assessable":"1","class":"array-multi-flexi"},"type":":","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/COLON.png\" \/>\n <\/div>"},{"id":"9","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/arrays\/texts","image_path":"\/sondage\/assets\/images\/screenshots\/;.png","title":"Array (Texts)","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Array (Texts) question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":";","core_theme":"1","extends":"","group":"Arrays","settings":{"subquestions":"2","answerscales":"0","hasdefaultvalues":"0","assessable":"0","class":"array-multi-flexi-text"},"type":";","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/;.png\" \/>\n <\/div>"},{"id":"10","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/arrays\/yesnouncertain","image_path":"\/sondage\/assets\/images\/screenshots\/C.png","title":"Array (Yes\/No\/Uncertain)","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Array (Yes\/No\/Uncertain) question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"C","core_theme":"1","extends":"","group":"Arrays","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"0","assessable":"1","class":"array-yes-uncertain-no"},"type":"C","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/C.png\" \/>\n <\/div>"},{"id":"5","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/arrays\/column","image_path":"\/sondage\/assets\/images\/screenshots\/H.png","title":"Array by column","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Array by column question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"H","core_theme":"1","extends":"","group":"Arrays","settings":{"subquestions":"1","answerscales":"1","hasdefaultvalues":"0","assessable":"1","class":"array-flexible-column"},"type":"H","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/H.png\" \/>\n <\/div>"},{"id":"6","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/arrays\/dualscale","image_path":"\/sondage\/assets\/images\/screenshots\/1.png","title":"Array dual scale","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Array dual scale question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"1","core_theme":"1","extends":"","group":"Arrays","settings":{"subquestions":"1","answerscales":"2","hasdefaultvalues":"0","assessable":"1","class":"array-flexible-duel-scale"},"type":"1","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/1.png\" \/>\n <\/div>"}]},"multiple_choice_questions":{"questionGroupName":"Multiple choice questions","questionTypes":[{"id":"31","name":"bootstrap_buttons","visible":"Y","xml_path":"themes\/question\/bootstrap_buttons\/survey\/questions\/answer\/multiplechoice","image_path":"\/sondage\/themes\/question\/bootstrap_buttons\/survey\/questions\/answer\/multiplechoice\/assets\/bootstrap_buttons_multiplechoice.png","title":"Bootstrap buttons","creation_date":"1970-01-01 01:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"New implementation of the Bootstrap buttons question theme","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"M","core_theme":"1","extends":"M","group":"Multiple choice questions","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"1","assessable":"1","class":"multiple-opt"},"type":"M","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/themes\/question\/bootstrap_buttons\/survey\/questions\/answer\/multiplechoice\/assets\/bootstrap_buttons_multiplechoice.png\" \/>\n <\/div>"},{"id":"34","name":"image_select-multiplechoice","visible":"Y","xml_path":"themes\/question\/image_select\/survey\/questions\/answer\/multiplechoice","image_path":"\/sondage\/assets\/images\/screenshots\/M.png","title":"Image Select Multiple choice","creation_date":"1970-01-01 01:00:00.000","author":"Markus Fl\u00fcr","author_email":"mfluer@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2016 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Multiplechoice with images.","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"M","core_theme":"1","extends":"M","group":"Multiple choice questions","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"1","assessable":"1","class":"multiple-opt"},"type":"M","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/M.png\" \/>\n <\/div>"},{"id":"22","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/multiplechoice","image_path":"\/sondage\/assets\/images\/screenshots\/M.png","title":"Multiple choice","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Multiple choice question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"M","core_theme":"1","extends":"","group":"Multiple choice questions","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"1","assessable":"1","class":"multiple-opt"},"type":"M","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/M.png\" \/>\n <\/div>"},{"id":"23","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/multiplechoice_with_comments","image_path":"\/sondage\/assets\/images\/screenshots\/P.png","title":"Multiple choice with comments","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Multiple choice with comments question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"P","core_theme":"1","extends":"","group":"Multiple choice questions","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"1","assessable":"1","class":"multiple-opt-comments"},"type":"P","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/P.png\" \/>\n <\/div>"}]},"text_questions":{"questionGroupName":"Text questions","questionTypes":[{"id":"32","name":"browserdetect","visible":"Y","xml_path":"themes\/question\/browserdetect\/survey\/questions\/answer\/shortfreetext","image_path":"\/sondage\/assets\/images\/screenshots\/S.png","title":"Browser detect","creation_date":"2017-07-09 00:00:00.000","author":"Markus Fl\u00fcr","author_email":"mfluer@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2017 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Browser, Platform and Proxy detection","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"S","core_theme":"1","extends":"S","group":"Text questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"1","assessable":"0","class":"text-short"},"type":"S","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/S.png\" \/>\n <img src=\"\/sondage\/assets\/images\/screenshots\/S2.png\" \/>\n <\/div>"},{"id":"16","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/hugefreetext","image_path":"\/sondage\/assets\/images\/screenshots\/U.png","title":"Huge Free Text","creation_date":"1970-01-01 01:00:00.000","author":"Patrick Teichmann","author_email":"patrick.teichmann@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Huge free text question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"U","core_theme":"1","extends":"","group":"Text questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"1","assessable":"0","class":"text-huge"},"type":"U","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/U.png\" \/>\n <\/div>"},{"id":"35","name":"inputondemand","visible":"Y","xml_path":"themes\/question\/inputondemand\/survey\/questions\/answer\/multipleshorttext","image_path":"\/sondage\/assets\/images\/screenshots\/Q.png","title":"Input on demand","creation_date":"2019-10-04 00:00:00.000","author":"Markus Fl\u00fcr","author_email":"mfluer@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2019 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Hide not needed input fields in multiple shorttext","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"Q","core_theme":"1","extends":"Q","group":"Text questions","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"1","assessable":"0","class":"multiple-short-txt"},"type":"Q","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/Q.png\" \/>\n <\/div>"},{"id":"21","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/longfreetext","image_path":"\/sondage\/assets\/images\/screenshots\/T.png","title":"Long free text","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Long free text question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"T","core_theme":"1","extends":"","group":"Text questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"1","assessable":"0","class":"text-long"},"type":"T","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/T.png\" \/>\n <\/div>"},{"id":"25","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/multipleshorttext","image_path":"\/sondage\/assets\/images\/screenshots\/Q.png","title":"Multiple Short Text","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Multiple short text question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"Q","core_theme":"1","extends":"","group":"Text questions","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"1","assessable":"0","class":"multiple-short-txt"},"type":"Q","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/Q.png\" \/>\n <\/div>"},{"id":"28","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/shortfreetext","image_path":"\/sondage\/assets\/images\/screenshots\/S.png","title":"Short Free Text","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Short free text question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"S","core_theme":"1","extends":"","group":"Text questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"1","assessable":"0","class":"text-short"},"type":"S","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/S.png\" \/>\n <img src=\"\/sondage\/assets\/images\/screenshots\/S2.png\" \/>\n <\/div>"}]},"mask_questions":{"questionGroupName":"Mask questions","questionTypes":[{"id":"12","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/date","image_path":"\/sondage\/assets\/images\/screenshots\/D.png","title":"Date\/Time","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Date\/Time question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"D","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"1","assessable":"0","class":"date"},"type":"D","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/D.png\" \/>\n <\/div>"},{"id":"13","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/equation","image_path":"\/sondage\/assets\/images\/screenshots\/EQUATION.png","title":"Equation","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Equation question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"*","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"0","assessable":"0","class":"equation"},"type":"*","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/EQUATION.png\" \/>\n <\/div>"},{"id":"14","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/file_upload","image_path":"\/sondage\/assets\/images\/screenshots\/PIPE.png","title":"File upload","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"File upload question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"|","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"0","assessable":"0","class":"upload-files"},"type":"|","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/PIPE.png\" \/>\n <\/div>"},{"id":"15","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/gender","image_path":"\/sondage\/assets\/images\/screenshots\/G.png","title":"Gender","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Gender question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"G","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"0","assessable":"0","class":"gender"},"type":"G","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/G.png\" \/>\n <\/div>"},{"id":"17","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/language","image_path":"\/sondage\/assets\/images\/screenshots\/I.png","title":"Language switch","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Language switch question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"I","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"0","assessable":"0","class":"language"},"type":"I","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/I.png\" \/>\n <\/div>"},{"id":"24","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/multiplenumeric","image_path":"\/sondage\/assets\/images\/screenshots\/K.png","title":"Multiple Numerical Input","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Multiple numerical input question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"K","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"1","answerscales":"0","hasdefaultvalues":"1","assessable":"1","class":"numeric-multi"},"type":"K","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/K.png\" \/>\n <\/div>"},{"id":"26","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/numerical","image_path":"\/sondage\/assets\/images\/screenshots\/N.png","title":"Numerical Input","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Numerical input question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"N","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"1","assessable":"0","class":"numeric"},"type":"N","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/N.png\" \/>\n <\/div>"},{"id":"27","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/ranking","image_path":"\/sondage\/assets\/images\/screenshots\/R.png","title":"Ranking","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Ranking question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"R","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"0","answerscales":"1","hasdefaultvalues":"0","assessable":"1","class":"ranking"},"type":"R","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/R.png\" \/>\n <\/div>"},{"id":"36","name":"ranking_advanced","visible":"Y","xml_path":"themes\/question\/ranking_advanced\/survey\/questions\/answer\/ranking","image_path":"\/sondage\/assets\/images\/screenshots\/R.png","title":"Ranking Advanced","creation_date":"1970-01-01 01:00:00.000","author":"Markus Fl\u00fcr","author_email":"mfluer@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2017 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"New implementation of the ranking question","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"R","core_theme":"1","extends":"R","group":"Mask questions","settings":{"subquestions":"0","answerscales":"1","hasdefaultvalues":"0","assessable":"1","class":"ranking"},"type":"R","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/R.png\" \/>\n <\/div>"},{"id":"11","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/boilerplate","image_path":"\/sondage\/assets\/images\/screenshots\/X.png","title":"Text display","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Text display question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"X","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"0","assessable":"0","class":"boilerplate"},"type":"X","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/X.png\" \/>\n <\/div>"},{"id":"29","name":"core","visible":"Y","xml_path":"application\/views\/survey\/questions\/answer\/yesno","image_path":"\/sondage\/assets\/images\/screenshots\/Y.png","title":"Yes\/No","creation_date":"2018-09-08 00:00:00.000","author":"Dominik Vitt","author_email":"dominik.vitt@limesurvey.org","author_url":"http:\/\/www.limesurvey.org","copyright":"Copyright (C) 2005 - 2018 LimeSurvey Gmbh, Inc. All rights reserved.","license":"GNU General Public License version 2 or later","version":"1.0","api_version":"1","description":"Yes\/No question type configuration","last_update":"2019-09-23 15:05:59.000","owner_id":"1","theme_type":"question_theme","question_type":"Y","core_theme":"1","extends":"","group":"Mask questions","settings":{"subquestions":"0","answerscales":"0","hasdefaultvalues":"1","assessable":"0","class":"yes-no"},"type":"Y","detailpage":"\n <div class=\"col-sm-12 currentImageContainer\">\n <img src=\"\/sondage\/assets\/images\/screenshots\/Y.png\" \/>\n <\/div>"}]}};
    window.aQuestionTypes = {"1":{"code":"1","description":"Array dual scale","group":"Arrays","subquestions":1,"assessable":1,"hasdefaultvalues":0,"answerscales":2,"class":"array-flexible-duel-scale"},"5":{"code":"5","description":"5 Point choice","group":"Single choice questions","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"choice-5-pt-radio"},"A":{"code":"A","description":"Array (5 Point choice)","group":"Arrays","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-5-pt"},"B":{"code":"B","description":"Array (10 Point choice)","group":"Arrays","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-10-pt"},"C":{"code":"C","description":"Array (Yes\/No\/Uncertain)","group":"Arrays","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-yes-uncertain-no"},"D":{"code":"D","description":"Date\/Time","group":"Mask questions","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"date"},"E":{"code":"E","description":"Array (Increase\/Same\/Decrease)","group":"Arrays","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-increase-same-decrease"},"F":{"code":"F","description":"Array","group":"Arrays","subquestions":1,"hasdefaultvalues":0,"assessable":1,"answerscales":1,"class":"array-flexible-row"},"G":{"code":"G","description":"Gender","group":"Mask questions","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"gender"},"H":{"code":"H","description":"Array by column","group":"Arrays","hasdefaultvalues":0,"subquestions":1,"assessable":1,"answerscales":1,"class":"array-flexible-column"},"I":{"code":"I","description":"Language switch","group":"Mask questions","hasdefaultvalues":0,"subquestions":0,"assessable":0,"answerscales":0,"class":"language"},"K":{"code":"K","description":"Multiple numerical input","group":"Mask questions","hasdefaultvalues":1,"subquestions":1,"assessable":1,"answerscales":0,"class":"numeric-multi"},"L":{"code":"L","description":"List (Radio)","group":"Single choice questions","subquestions":0,"hasdefaultvalues":1,"assessable":1,"answerscales":1,"class":"list-radio"},"M":{"code":"M","description":"Multiple choice","group":"Multiple choice questions","subquestions":1,"hasdefaultvalues":1,"assessable":1,"answerscales":0,"class":"multiple-opt"},"N":{"code":"N","description":"Numerical input","group":"Mask questions","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"numeric"},"O":{"code":"O","description":"List with comment","group":"Single choice questions","subquestions":0,"hasdefaultvalues":1,"assessable":1,"answerscales":1,"class":"list-with-comment"},"P":{"code":"P","description":"Multiple choice with comments","group":"Multiple choice questions","subquestions":1,"hasdefaultvalues":1,"assessable":1,"answerscales":0,"class":"multiple-opt-comments"},"Q":{"code":"Q","description":"Multiple short text","group":"Text questions","subquestions":1,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"multiple-short-txt"},"R":{"code":"R","description":"Ranking","group":"Mask questions","subquestions":0,"hasdefaultvalues":0,"assessable":1,"answerscales":1,"class":"ranking"},"S":{"code":"S","description":"Short free text","group":"Text questions","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"text-short"},"T":{"code":"T","description":"Long free text","group":"Text questions","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"text-long"},"U":{"code":"U","description":"Huge free text","group":"Text questions","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"text-huge"},"X":{"code":"X","description":"Text display","group":"Mask questions","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"boilerplate"},"Y":{"code":"Y","description":"Yes\/No","group":"Mask questions","subquestions":0,"hasdefaultvalues":1,"assessable":0,"answerscales":0,"class":"yes-no"},"!":{"code":"!","description":"List (Dropdown)","group":"Single choice questions","subquestions":0,"hasdefaultvalues":1,"assessable":1,"answerscales":1,"class":"list-dropdown"},":":{"code":":","description":"Array (Numbers)","group":"Arrays","subquestions":2,"hasdefaultvalues":0,"assessable":1,"answerscales":0,"class":"array-multi-flexi"},";":{"code":";","description":"Array (Texts)","group":"Arrays","subquestions":2,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"array-multi-flexi-text"},"|":{"code":"|","description":"File upload","group":"Mask questions","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"upload-files"},"*":{"code":"*","description":"Equation","group":"Mask questions","subquestions":0,"hasdefaultvalues":0,"assessable":0,"answerscales":0,"class":"equation"}};
</script>


The window.aStructureArray variable is empty en french
joe_gillian

joe_gillian

2020-11-27 16:43

reporter   ~60786

I have the same problem with Turkish. Question editor does not load when admin language is selected as Turkish. Works fine when it is English. "window.aStructureArray = ;" is empty as @bethencourty stated.
ollehar

ollehar

2020-11-27 19:17

administrator   ~60787

File application/views/questionAdministration/_jsVariables.php

json_encode is not enough to encode language strings?
cdorin

cdorin

2020-12-22 16:06

manager   ~61033

Hello,
Is it possible to download from the community website 4.4.0 RC1 release and test if most of the issues are solved?
YvesBethencourt

YvesBethencourt

2020-12-23 14:51

reporter   ~61079

Hi. I have downloaded the community edition 4.4.0 RC1 and now I am able to edit the question in French.
This has resoved the issue.
Thanks.
cdorin

cdorin

2020-12-23 14:52

manager   ~61080

Perfect - thanks for the update. We will do a couple of RCs till it reaches the stability we want for LS4.4.0

Issue History

Date Modified Username Field Change
2020-05-30 01:12 bethencourty New Issue
2020-05-30 01:12 bethencourty File Added: 2020-05-29 15_28_29-phpinfo().png
2020-05-30 01:12 bethencourty File Added: 2020-05-29 15_23_55-.png
2020-07-26 22:23 jakeoh Note Added: 59089
2020-07-27 16:24 DenisChenu Note Added: 59101
2020-07-27 17:09 bethencourty Note Added: 59102
2020-07-27 17:09 bethencourty File Added: 2020-07-27 10_49_21-Sondage Ville de Gatineau - Validation.png
2020-07-27 17:09 bethencourty File Added: 2020-07-27 10_49_01-Sondage Ville de Gatineau - Validation.png
2020-07-27 17:09 bethencourty File Added: 2020-07-27 10_48_13-Sondage Ville de Gatineau - Validation.png
2020-07-27 17:09 bethencourty File Added: 2020-07-27 10_47_44-Sondage Ville de Gatineau - Validation.png
2020-07-27 17:09 bethencourty File Added: 2020-07-27 10_54_25-Sondage Ville de Gatineau - Validation.png
2020-07-27 17:09 bethencourty File Added: 2020-07-27 10_57_00-Sondage Ville de Gatineau - Validation.png
2020-07-27 17:09 bethencourty File Deleted: 2020-07-27 10_49_01-Sondage Ville de Gatineau - Validation.png
2020-07-27 17:24 bethencourty Note Added: 59103
2020-11-27 16:43 joe_gillian Note Added: 60786
2020-11-27 19:17 ollehar Note Added: 60787
2020-12-22 16:06 cdorin Status new => feedback
2020-12-22 16:06 cdorin Note Added: 61033
2020-12-23 14:51 YvesBethencourt Note Added: 61079
2020-12-23 14:52 cdorin Assigned To => cdorin
2020-12-23 14:52 cdorin Status feedback => closed
2020-12-23 14:52 cdorin Resolution open => fixed
2020-12-23 14:52 cdorin Fixed in Version => 4.4.0-RC1
2020-12-23 14:52 cdorin Note Added: 61080